%define upstream_name    Template-Plugin-Markdown
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    TT plugin for Text::Markdown
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Text::Markdown)
BuildRequires: perl(Template)
BuildArch: noarch

%description
Template::Plugin::Markdown is a plugin for TT, which format your text with
Markdown Style.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.20.0-11.mga10
+ Revision: 2200760
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.20.0-10.mga9
+ Revision: 1805975
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.20.0-9.mga8
+ Revision: 1497277
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.20.0-8.mga7
+ Revision: 1271611
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.20.0-7.mga6
+ Revision: 1033901
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 0.20.0-6.mga6
+ Revision: 930017
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-5.mga5
+ Revision: 742226
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20.0-4.mga5
+ Revision: 686346
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.20.0-3.mga4
+ Revision: 514902
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-2.mga3
+ Revision: 373174
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 shlomif <shlomif> 0.20.0-1.mga3
+ Revision: 335089
- Missing dep
- imported package perl-Template-Plugin-Markdown


* Tue Dec 25 2012 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
